Contents
Index 🔎︎

# Text Functions

This section contains descriptions of the Text functions.

Pre prístup k tomuto príkazu...

Vložiť - Funkcia - Kategória Text

## REGEX

Matches and extracts or optionally replaces text using regular expressions.

### WEBSERVICE

Get some web content from a URI.

### FILTERXML

Apply a XPath expression to a XML document.

### ENCODEURL

Returns a URL-encoded string.

## ARABIC

Spočíta hodnotu rímskeho čísla. Hodnota musí byť v rozmedzí od 0 do 3999.

#### Syntax

ARABIC("Text")

Text is the text that represents a Roman number.

#### Example

=ABS(0) vráti 0.

=ABS(0) vráti 0.

## ASC

Funkcia ASC prevedie ASCII a katakana znaky plnej šírky na polovičnú šírku. Vracia textový reťazec.

See https://wiki.documentfoundation.org/Calc/Features/JIS_and_ASC_functions for a conversion table.

#### Syntax

ASC("Text")

Text is the text that contains characters to be converted.

Viď. tiež funkcia JIS.

## BAHTTEXT

Prevedie číslo na thajský text, vrátane názvov thajskej meny.

#### Syntax

BAHTTEXT(Číslo)

Number is any number. "Baht" is appended to the integral part of the number, and "Satang" is appended to the decimal part of the number.

#### Example

=BAHTTEXT(12.65) returns a string in Thai characters with the meaning of "Twelve Baht and sixty five Satang".

## BASE

Prevedie kladné číslo na text v číselnej sústave s určeným základom. Použijú sa číslice 0-9 a písmená A-Z.

#### Syntax

BASE(Number; Radix [; MinimumLength])

Číslo je číslo, ktoré bude testované.

Radix indicates the base of the number system. It may be any positive integer between 2 and 36.

MinimumLength (optional) determines the minimum length of the character sequence that has been created. If the text is shorter than the indicated minimum length, zeros are added to the left of the string.

#### Example

=BASE(17;10;4) returns 0017 in the decimal system.

=BASE(17;2) returns 10001 in the binary system.

=BASE(255;16;4) returns 00FF in the hexadecimal system.

## CHAR

Prevedie číslo na znak podľa aktuálnej prevodovej tabuľky. Číslo môže byť dvoj alebo trojciferné celé číslo.

Kódy vyššie ako 127 môžu závisieť od mapovania znakov vášho systému (napríklad iso-8859-1, iso-8859-2, Windows-1252 alebo Windows-1250) a teda nemusia byť prenositeľné.

#### Syntax

CHAR(Číslo)

Number is a number between 1 and 255 representing the code value for the character.

#### Example

=CHAR(100) returns the character d.

="abc" & CHAR(10) & "def" inserts a newline character into the string.

## CLEAN

Všetky netlačiteľné znaky sú z reťazca odstránené.

#### Syntax

CLEAN("Text")

Text refers to the text from which to remove all non-printable characters.

#### Example

=LEN(CLEAN(CHAR(7) & "LibreOffice Calc" & CHAR(8))) returns 16, showing that the CLEAN function removes the non-printable Unicode U+0007 ("BEL") and U+0008 ("BS") characters at the beginning and end of the string argument. CLEAN does not remove spaces.

## CODE

Vráti numerický kód prvého znaku reťazca.

#### Syntax

CODE("Text")

Text is the text for which the code of the first character is to be found.

Kódy vyššie ako 127 môžu závisieť od mapovania znakov vášho systému (napríklad iso-8859-1, iso-8859-2, Windows-1252 alebo Windows-1250) a teda nemusia byť prenositeľné.

#### Example

=CODE("Hieronymus") returns 72, =CODE("hieroglyphic") returns 104.

Táto funkcia nepoužíva pre kódovanie kód ASCII, ale aktuálne načítanú kódovaciu tabuľku.

## CONCATENATE

Spojí niekoľko reťazcov do jedného.

#### Syntax

CONCATENATE(String 1 [; String 2 [; … [; String 255]]])

String 1[; String 2][; … ;[String 255]] are strings or references to cells containing strings.

#### Example

=CONCATENATE("Good ";"Morning ";"Mrs. ";"Doe") returns: Good Morning Mrs. Doe.

## DECIMAL

Previesť text so znakmi z číselné sústavy na kladné číslo v danej sústave Sústava musí byť v rozsahu 2 až 36. Medzery a tabulátory sú ignorované. V poli Text Nezávisí na veľkosti znakov.

Ak použijete šestnástkovú sústavu, ignoruje sa počiatočné x, X, 0x alebo 0X a koncové h alebo H. Ak použijete dvojkovú sústavu, ignoruje sa koncové b alebo B. Iné znaky, ktoré nepatria do číselnej sústavy spôsobia chybu.

#### Syntax

DECIMAL("Text"; Sústava)

Text is the text to be converted. To differentiate between a hexadecimal number, such as A1 and the reference to cell A1, you must place the number in quotation marks, for example, "A1" or "FACE".

Radix indicates the base of the number system. It may be any positive integer between 2 and 36.

#### Example

=DELTA(1;2) vráti 0.

=CELL("COL";D2) vracia 4.

=DELTA(1;2) vráti 0.

## DOLLAR

Prevedie číslo na hodnotu s jednotkou meny a zaokrúhli na určitý počet desatinných miest. Ako parameter Hodnota zadajte číslo, ktoré chcete previesť na menu. Zvoliť je možné tiež zadať počet desatinných miest parametromDesatinné miesta Ak tento počet neurčíte, zobrazí sa výsledok na dve desatinné miesta.

Formát meny je nastavený podľa vášho systému.

#### Syntax

DOLLAR(Value [; Decimals])

Value is a number, a reference to a cell containing a number, or a formula which returns a number.

Decimals is the optional number of decimal places.

#### Example

=DOLLAR(255) returns $255.00 for the English (USA) locale and USD (dollar) currency; ￥255.00 for the Japanese locale and JPY (yen) currency; or 255,00 € for the German (Germany) locale and EUR (euro) currency.

=DOLLAR(367.456;2) returns $367.46. Use the decimal separator that corresponds to the current locale setting.

## EXACT

Porovnáva dva reťazce a vráti TRUE, pokiaľ sú rovnaké Táto funkcia rozlišuje veľkosť písmen.

#### Syntax

EXACT("Text1"; "Text2")

Text1 refers to the first text to compare.

Text2 is the second text to compare.

#### Example

=EXACT("microsystems";"Microsystems") returns FALSE.

## FIND

Returns the position of a string of text within another string.You can also define where to begin the search. The search term can be a number or any string of characters. The search is case-sensitive.

#### Syntax

FIND("FindText"; "Text" [; Position])

FindText refers to the text to be found.

Text is the text where the search takes place.

Position (optional) is the position in the text from which the search starts.

#### Example

=FIND(76;998877665544) returns 6.

## FIXED

Returns a number as text with a specified number of decimal places and optional thousands separators.

#### Syntax

FIXED(Number; [Decimals = 2 [; NoThousandsSeparators = FALSE]])

Number is rounded to Decimals places (after the decimal separator) and the result formatted as text, using locale-specific settings.

Decimals (optional) refers to the number of decimal places to be displayed. If Decimals is negative, Number is rounded to ABS(Decimals) places to the left from the decimal point. If Decimals is a fraction, it is truncated actually ignoring what is the closest integer.

NoThousandsSeparators (optional) determines whether the thousands separator is used. If it is TRUE or non-zero, then group separators are omitted from the resulting string. If the parameter is equal to 0 or if it is missing altogether, the thousands separators of your current locale setting are displayed.

#### Example

=FIXED(1234567.89;3) returns 1,234,567.890 as a text string.

=FIXED(123456.789;;TRUE) returns 123456.79 as a text string.

=FIXED(12345.6789;-2) returns 12,300 as a text string.

=FIXED(12134567.89;-3;1) returns 12135000 as a text string.

=FIXED(12345.789;3/4) returns 12,346 as a text string.

=FIXED(12345.789;8/5) returns 12,345.8 as a text string.

## JIS

Funkcia JIS prevedie ASCII a katakana znaky polovičnej šírky na plnú šírku. Vráti textový reťazec

See https://wiki.documentfoundation.org/Calc/Features/JIS_and_ASC_functions for a conversion table.

#### Syntax

JIS("Text")

Text is the text that contains characters to be converted.

Viď. tiež funkcia JIS.

## LEFT

Vráti prvý znak alebo znaky textu.

#### Syntax

LEFT("Text" [; Number])

Text is the text where the initial partial words are to be determined.

Number (optional) specifies the number of characters for the start text. If this parameter is not defined, one character is returned.

#### Example

=CELL("COL";D2) vracia 4.

## LEFTB

Returns the first characters of a DBCS text.

This function is available since LibreOffice 4.2.

#### Syntax

LEFTB("Text" [; Number_bytes])

Text is the text where the initial partial words are to be determined.

Number_bytes (optional) specifies the number of characters you want LEFTB to extract, based on bytes. If this parameter is not defined, one character is returned.

#### Example

LEFTB("中国";1) returns " " (1 byte is only half a DBCS character and a space character is returned instead).

LEFTB("中国";2) returns "中" (2 bytes constitute one complete DBCS character).

LEFTB("中国";3) returns "中 " (3 bytes constitute one DBCS character and a half; the last character returned is therefore a space character).

LEFTB("中国";4) returns "中国" (4 bytes constitute two complete DBCS characters).

LEFTB("office";3) returns "off" (3 non-DBCS characters each consisting of 1 byte).

## LEN

Vráti dĺžku reťazca vrátane medzier.

#### Syntax

LEN("Text")

Číslo je číslo, ktorého znamienko má byť zistené.

#### Example

=LEN("Good Afternoon") returns 14.

=INT(5.7) vráti 5.

## LENB

For double-byte character set (DBCS) languages, returns the number of bytes used to represent the characters in a text string.

This function is available since LibreOffice 4.2.

#### Syntax

LENB("Text")

Číslo je číslo, ktorého znamienko má byť zistené.

#### Example

LENB("中") returns 2 (1 DBCS character consisting of 2 bytes).

LENB("中国") returns 4 (2 DBCS characters each consisting of 2 bytes).

LENB("office") returns 6 (6 non-DBCS characters each consisting of 1 byte).

=LENB("Good Afternoon") returns 14.

=LENB(12345.67) returns 8.

## LOWER

Prevedie všetky veľké písmená v textovom reťazci na malé.

#### Syntax

LOWER("Text")

Text refers to the text to be converted.

#### Example

=LOG(7^4;7) vráti 4.

## MID

Vráti pod reťazec textu. Parametre určujú počiatočnú pozíciu a počet znakov.

#### Syntax

MID("Text"; Spustiť; Číslo)

Text is the text containing the characters to extract.

Start is the position of the first character in the text to extract.

Number specifies the number of characters in the part of the text.

#### Example

=MINA(1;"Text";20) vracia 0.

## MIDB

Returns a text string of a DBCS text. The parameters specify the starting position and the number of characters.

This function is available since LibreOffice 4.2.

#### Syntax

MIDB("Text"; Start; Number_bytes)

Text is the text containing the characters to extract.

Start is the position of the first character in the text to extract.

Number_bytes specifies the number of characters MIDB will return from text, in bytes.

#### Example

MIDB("中国";1;0) returns "" (0 bytes is always an empty string).

MIDB("中国";1;1) returns " " (1 byte is only half a DBCS character and therefore the result is a space character).

MIDB("中国";1;2) returns "中" (2 bytes constitute one complete DBCS character).

MIDB("中国";1;3) returns "中 " (3 bytes constitute one and a half DBCS character; the last byte results in a space character).

MIDB("中国";1;4) returns "中国" (4 bytes constitute two complete DBCS characters).

MIDB("中国";2;1) returns " " (byte position 2 is not at the beginning of a character in a DBCS string; 1 space character is returned).

MIDB("中国";2;2) returns " " (byte position 2 points to the last half of the first character in the DBCS string; the 2 bytes asked for therefore constitutes the last half of the first character and the first half of the second character in the string; 2 space characters are therefore returned).

MIDB("中国";2;3) returns " 国" (byte position 2 is not at the beginning of a character in a DBCS string; a space character is returned for byte position 2).

MIDB("中国";3;1) returns " " (byte position 3 is at the beginning of a character in a DBCS string, but 1 byte is only half a DBCS character and a space character is therefore returned instead).

MIDB("中国";3;2) returns "国" (byte position 3 is at the beginning of a character in a DBCS string, and 2 bytes constitute one DBCS character).

MIDB("office";2;3) returns "ffi" (byte position 2 is at the beginning of a character in a non-DBCS string, and 3 bytes of a non-DBCS string constitute 3 characters).

## PROPER

Upraví prvé písmeno vo všetkých slovách textového reťazca na veľké

#### Syntax

PROPER("Text")

Text refers to the text to be converted.

#### Example

=PROPER("the document foundation") returns The Document Foundation.

## REPLACE

Nahradí časť textového reťazca iným textovým reťazcom. Túto funkciu je možné využiť na náhradu znakov a čísel(ktoré sa automaticky prevedú na text). Výsledok funkcie sa vždy zobrazí ako text. Ak chcete s číslom po náhrade robiť ďalšie výpočty, musíte ho previesť späť na číslo pomocou funkcieVALUE function.

Text, ktorý obsahuje čísla, musí byť uzatvorený v zátvorkách. V opačnom prípade sa interpretuje ako číslo a automaticky sa prevedie na text.

#### Syntax

REPLACE("Text"; Pozícia; Dĺžka; "NovýText")

Text refers to text of which a part will be replaced.

Position refers to the position within the text where the replacement will begin.

Length is the number of characters in Text to be replaced.

NewText refers to the text which replaces Text.

#### Example

=REPLACE("1234567";1;1;"444") returns "444234567". One character at position 1 is replaced by the complete NewText.

## REPT

Opakuje textový reťazec toľkokrát, koľkokrát je uvedené v parametri Číslo.

#### Syntax

REPT("Text"; Číslo)

Text is the text to be repeated.

Číslo je číslo, ktoré bude testované.

Výsledok funkcie môže mať maximálne 255 znakov.

#### Example

=REPT("Good morning";2) returns Good morningGood morning.

## RIGHT

Vráti posledný znak alebo znaky textu.

#### Syntax

RIGHT("Text" [; Number])

Text is the text of which the right part is to be determined.

Number (optional) is the number of characters from the right part of the text.

#### Example

=CELL("COL";D2) vracia 4.

## RIGHTB

Returns the last character or characters of a text with double bytes characters sets (DBCS).

This function is available since LibreOffice 4.2.

#### Syntax

RIGHTB("Text" [; Number_bytes])

Text is the text of which the right part is to be determined.

Number_bytes (optional) specifies the number of characters you want RIGHTB to extract, based on bytes.

#### Example

RIGHTB("中国";1) returns " " (1 byte is only half a DBCS character and a space character is returned instead).

RIGHTB("中国";2) returns "国" (2 bytes constitute one complete DBCS character).

RIGHTB("中国";3) returns " 国" (3 bytes constitute one half DBCS character and one whole DBCS character; a space is returned for the first half).

RIGHTB("中国";4) returns "中国" (4 bytes constitute two complete DBCS characters).

RIGHTB("office";3) returns "ice" (3 non-DBCS characters each consisting of 1 byte).

## ROMAN

Prevedie číslo na rímske číslice. Hodnota musí byť v rozsahu 0 až 3999, režim môže byť číslo 0 až 4.

#### Syntax

ROMAN(Number [; Mode])

Číslo znamená číslo, ktoré má byť zaokrúhlené.

Mode (optional) indicates the degree of simplification. The higher the value, the greater is the simplification of the Roman number.

#### Example

=ROUND(2.5) vráti 3.

=COMBIN(3;2) vráti 3.

=COMBIN(3;2) vráti 3.

=COMBIN(3;2) vráti 3.

=COMBIN(3;2) vráti 3.

=COMBIN(3;2) vráti 3.

## SEARCH

Returns the position of a text segment within a character string. You can set the start of the search as an option. The search text can be a number or any sequence of characters. The search is not case-sensitive. If the text is not found, returns error 519 (#VALUE).

The search supports wildcards or regular expressions. With regular expressions enabled, you can enter "all.*", for example to find the first location of "all" followed by any characters. If you want to search for a text that is also a regular expression, you must either precede every character with a "\" character, or enclose the text into \Q...\E. You can switch the automatic evaluation of wildcards or regular expression on and off in LibreOffice - Preferences Tools - Options - LibreOffice Calc - Calculate.

When using functions where one or more arguments are search criteria strings that represents a regular expression, the first attempt is to convert the string criteria to numbers. For example, ".0" will convert to 0.0 and so on. If successful, the match will not be a regular expression match but a numeric match. However, when switching to a locale where the decimal separator is not the dot makes the regular expression conversion work. To force the evaluation of the regular expression instead of a numeric expression, use some expression that can not be misread as numeric, such as ".[0]" or ".\0" or "(?i).0".

#### Syntax

SEARCH("FindText"; "Text" [; Position])

FindText is the text to be searched for.

Text is the text where the search will take place.

Position (optional) is the position in the text where the search is to start.

#### Example

=SEARCH(54;998877665544) returns 10.

## SUBSTITUTE

Nahradí časť textu v reťazci iným textom.

#### Syntax

SUBSTITUTE("Text"; "SearchText"; "NewText" [; Occurrence])

Text is the text in which text segments are to be exchanged.

SearchText is the text segment that is to be replaced (a number of times).

NewText is the text that is to replace the text segment.

Occurrence (optional) indicates which occurrence of the search text is to be replaced. If this parameter is missing the search text is replaced throughout.

#### Example

=SUBSTITUTE("123123123";"3";"abc") returns 12abc12abc12abc.

=SUBSTITUTE("123123123";"3";"abc";2) returns 12312abc123.

## T

Táto vráti cieľový text alebo prázdny reťazec, ak cieľ nie je text.

#### Syntax

N(Hodnota)

Ak je Hodnota textový reťazec alebo odkaz na textový reťazec, T vráti tento reťazec; inak vráti prázdny textový reťazec .

#### Example

=T(12345) returns an empty string.

=T("12345") returns the string 12345.

## TEXT

Converts a value into text according to a given format.

#### Syntax

TEXT(Value; Format)

Value is the value (numerical or textual) to be converted.

Format is the text which defines the format. Use decimal and thousands separators according to the language set in the cell format.

#### Example

=TEXT(12.34567;"###.##") returns the text 12.35

=TEXT(12.34567;"000.00") returns the text 012.35

=TEXT("xyz";"=== @ ===") returns the text === xyz ===

See also Number format codes: custom format codes defined by the user.

## TRIM

Odstráni medzery z reťazca a ponechá medzi slovami iba jedno znakovú medzeru

#### Syntax

TRIM("Text")

Text refers to text in which spaces are to be removed.

#### Example

=TRIM(" hello world ") returns hello world without leading and trailing spaces and with single space between words.

## UNICHAR

Converts a code number into a Unicode character or letter.

#### Syntax

UNICHAR(number)

#### Example

=UNICHAR(169) returns the Copyright character ©.

See also the UNICODE() function.

## UNICODE

Vráti numerický kód prvého Unicode znaku reťazca.

#### Syntax

UNICODE("Text")

#### Example

=UNICODE("©") returns the Unicode number 169 for the Copyright character.

See also the UNICHAR() function.

## UPPER

Prevedie reťazec v parametri text na veľké písmená.

#### Syntax

UPPER("Text")

Text refers to the lower case letters you want to convert to upper case.

#### Example

=UPPER("Good Morning") returns GOOD MORNING.

## VALUE

Prevedie textový reťazec na číslo

#### Syntax

VALUE("Text")

Text is the text to be converted to a number.

#### Example

=LN(EXP(321)) vráti 321.

Related Topics

Functions by Category